Author Topic: WebsiteBaker-2.12.1 (stable) published  (Read 262 times)

Offline dbs

  • Betatester
  • **
  • Posts: 7549
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
WebsiteBaker-2.12.1 (stable) published
« on: November 21, 2018, 04:23:47 PM »
Hello everybody,  (DEUTSCH etwas tiefer)

we are pleased to announce today the stable version 2.12.1 of WebsiteBaker!

WB-2.12.1 is the successor version of 2.12.0. It is a complete package and contains everything that has been published in the context of the 2.12.0 Core.
An upgrade is possible from all of the 2.8.3 versions. But never from earlier ones before 2.8.3.

Download from our Add-on Repository
- WebsiteBaker-2_12_1.zip or as WebsiteBaker-2_12_1.tar.gz
- WebsiteBaker Unzip File (unzip.php.zip)


Install and upgrade instructions
Please have a look into the file /DOCU/README.EN which is delivered with the downloaded package.

Short version:
- make a backup of all files and the database (!important)

 +Recommanded way: (fast & safe)
 - download WB ZIP package & unzip.php.zip
 - rename unzip.php.zip to unzip.php
 - upload WB ZIP package & unzip.php to your WB root folder (where the config.php is located)
 - run unzip.php in your browser (https://yourdomain.com/unzip.php) (please replace yourdomain.com with your own domain)
 - login in your backend as Super-Admin (admin with id 1) and run upgrade-script via upgrade link or via wb-info panel (i-button)

The unzip.php and the WB ZIP delete themselves after the successful execution of the unzip.php.
This way is fast and we plan in WB 2.13 a easier way, so this unzip.php is only for the 2.12.x versions (therefore we set it to deprecated)

 +Alternative way: (slow & oldscool)
 - download WB ZIP package & unpack
 - upload via FTP (overwrite existing files!)
 - login as Super-Admin (ID 1)
 - start upgrade script

Most important changes
  • Upgrade now possible from any WB 2.8.3 version to 2.12.1
  • Bugfixes published by forum users (e.g. password too short or bin/replace or bin/admin error)
  • Further checks and changes to compatibility with php 7.x without losing backward compatibility with older add-ons
  • Some mysqli statements have been changed for strict mode
  • Added flags in language dropdown boxes
  • the WB installation process is now prevented if the PHP version is less than 5.6.
  • No longer in the package, the core will create these directories and files itself:
        /pages, /media, /temp, /var/log and config.php
  • Now displays a hint if modules are no longer installed but registered (without WebsiteBaker crashing)
  • These custom files are not overwritten by the core:
        - frontendUser.css, frontendUser.js (frontend.css/js are not loaded then)
        - backendUser.css, backendUser.js (backend.css/js are not loaded then)
  • Twig updated to version 1.3.6, version 2.4.5.5 added
  • Select Twig version 1.x or 2.x under Admin Tools > Server Settings
  • jQuery updated to 1.12.4 and version 3.3.1 added
  • Select jQuery version under Admin Tools > Server Settings
  • Users can add more jQuery versions that are never removed by the core (in include/jquery/dist)
  • New creation of access files extended
  • Rebuild all access files from any add-on that creates access files without changing the add-on code
      (via Rebuild Access Files; only one optional script WBReorg required)
  • Dialog and hint window with more options replaced by a new plugin
  • CKeditor updated to version 4.11.1
  • fixed: after 3 invalid login attempts the login is now locked again until the WB session cookie is deleted or the browser is closed
  • correcting datastructures for directory listing in media management
  • Adjustments to the backend theme (e.g. uniform icons in the top menu)

Have fun with WebsiteBaker 2.12.1
The WebsiteBaker team



### DEUTSCH ##############################

Hallo Bakers,

wir freuen uns, heute die stable Version 2.12.1 von WebsiteBaker bekannt zu geben!

WB-2.12.1 ist die Nachfolgeversion von 2.12.0. Es ist ein Komplettpaket und enthält alles, was im Rahmen des 2.12.0 Core veröffentlicht wurde.
Ein Upgrade ist von allen Versionen 2.8.3 möglich. Aber nicht von früheren Versionen vor 2.8.3.

Download aus unserem Add-on Repository
- WebsiteBaker-2_12_1.zip oder als WebsiteBaker-2_12_1.tar.gz
- WebsiteBaker Unzip File (unzip.php.zip)


Installations- und Upgrade-Anweisungen
Bitte schau auch in die Datei /DOCU/README.EN, welche im Download-Paket mitgeliefert wird.

Kurzversion:
- Mache ein Backup aller Dateien und der Datenbank (!wichtig)

 +Empfohlener Weg: (schnell & sicher)
 - lade das WB ZIP Paket & die unzip.php.zip herunter
 - benenne unzip.php.zip um in unzip.php
 - lade das WB ZIP Paket & die unzip.php hoch in den WB Root Verzeichnis (da wo die config.php liegt)
 - rufe die unzip.php in deinem Browser auf (https://deine-domain.de/unzip.php) (ersetze deine-domain.de mit deiner eigenen Domain)
 - melde dich im Backend als Super-Admin (Admin mit ID 1) an und starte das upgrade-script via Upgrade-Link oder in der WB-info (i-Button)

Die unzip.php und das WB ZIP löschen sich selbst nach erfolgreicher Ausführung der unzip.php.
Dieser Weg ist schnell und wir planen in WB 2.13 einen noch einfacheren Weg, so dass diese unzip.php nur für die WB 2.12.x Versionen ist (deshalb setzen wir die unzip.php jetzt schon auf deprecated/veraltet)

 +Alternativer Weg: (langsam & oldscool)
 - lade das WB ZIP Paket herunter & entpacke es
 - lade per FTP den Inhalt in dein WB Root Verzeichnis (überschreibe vorhandene Dateien!)
 - melde dich im Backend an als Super-Admin (Admin mit ID 1)
 - starte das upgrade-script via upgrade link oder in der WB-info (i-Button)

Wichtigste Änderungen
  • Upgrade nun möglich von jeder WB 2.8.3 Version auf 2.12.1
  • Bugfixes, die von Forenbenutzern veröffentlicht wurden (z.B. Passwort zu kurz oder bin/replace oder bin/admin Fehler)
  • Weitere Überprüfungen und Änderungen zur Kompatibilität mit php 7.x, ohne die Rückwärtskompatibil ität zu älteren Add-ons zu verlieren.
  • Einige mysqli-Anweisungen wurden für Stricktmodus geändert.
  • Flaggen in den Dropdown-Boxen für Sprachen hinzugefügt
  • der WB-Installationsprozess wird nun verhindert, wenn die PHP-Version kleiner als 5.6 ist.
  • Nicht mehr im Paket, der Core wird diese Verzeichnisse und Dateien selbst erstellen:
    /pages, /media, /temp, /var/log und config.php
  • Zeigt nun einen Hinweis an, wenn Module nicht mehr installiert, aber registriert sind (ohne Absturz von WebsiteBaker).
  • Diese benutzerdefinierten Dateien werden vom Kern nicht überschrieben:
    - frontendUser.css, frontendUser.js (frontend.css/js werden dann nicht geladen)
    - backendUser.css, backendUser.js (backend.css/js werden dann nicht geladen)
  • Twig auf Version 1.3.6 aktualisiert, Version 2.4.5.5 hinzugefügt
  • Twig-Version 1.x oder 2.x auswählen unter Admin-Tools > Servereinstellungen
  • jQuery auf 1.12.4 aktualisiert und Version 3.3.1 hinzugefügt.
  • jQuery-Version auswählen unter Admin-Tools > Servereinstellungen
    Benutzer können weitere jQuery-Versionen hinzufügen, die nie vom Core entfernt werden (in include/jquery/dist).
  • Neuerstellung von Zugriffsdateien erweitert
  • Neuerstellung aller Zugriffsdateien aus jedem Add-on, dass Zugriffsdateien erstellt, ohne den Add-on-Code zu ändern
    (via Rebuild Access Files; nur ein optionales Skript WBReorg erforderlich).
  • Dialog- und Hinweisfenster mit mehr Optionen ersetzt durch ein neues Plugin.
  • CKeditor auf Version 4.11.1 aktualisiert
  • behoben: nach 3 ungültigen Anmeldeversuchen wird jetzt wieder die Anmeldung gesperrt, bis das WB Session Cookie gelöscht oder der Browser geschlossen wurde.
  • Korrektur der Verzeichnisauflistu ng in der Medienverwaltung
  • Anpassungen am BackendTheme (z.b. einheitliche Icons im Topmenü)


Viel Spaß mit WebsiteBaker 2.12.1
Das WebsiteBaker Team